summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn2010-05-13 01:01:08 +0200
committer Robby Workman2010-05-13 01:01:08 +0200
commit235490c1d8d73cd81049450bee2a12e149849931 (patch)
treeaa0f6b8423581874b624a15648ea5e48974b4f2b
parente61301bbbde3ca393017974636d72120efb97561 (diff)
downloadslackbuilds-235490c1d8d73cd81049450bee2a12e149849931.tar.gz
system/sdltrs: Added to 13.0 repository
-rw-r--r--system/sdltrs/README10
-rw-r--r--system/sdltrs/doinst.sh4
-rw-r--r--system/sdltrs/sdltrs.SlackBuild69
-rw-r--r--system/sdltrs/sdltrs.desktop10
-rw-r--r--system/sdltrs/sdltrs.info10
-rw-r--r--system/sdltrs/sdltrs.pngbin0 -> 362 bytes
-rw-r--r--system/sdltrs/slack-desc19
7 files changed, 122 insertions, 0 deletions
diff --git a/system/sdltrs/README b/system/sdltrs/README
new file mode 100644
index 0000000000..0680a3fbb3
--- /dev/null
+++ b/system/sdltrs/README
@@ -0,0 +1,10 @@
+sdltrs: Radio Shack TRS-80 Model I/III/4/4P Emulator
+
+sdltrs is a Radio Shack TRS-80 Model I/III/4/4P emulator for Macintosh OSX,
+Windows and Linux. It has been ported from the excellent X Window Unix
+emulator xtrs. Instead of using the X-Window system for graphics, it uses
+the portable SDL library.
+
+A simple sdltrs.desktop file is included that will start sdltrs with the
+default options. Read the included documentation after installation for
+more information.
diff --git a/system/sdltrs/doinst.sh b/system/sdltrs/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/sdltrs/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/sdltrs/sdltrs.SlackBuild b/system/sdltrs/sdltrs.SlackBuild
new file mode 100644
index 0000000000..4ad36063ae
--- /dev/null
+++ b/system/sdltrs/sdltrs.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for sdltrs:
+# the Radio Shack TRS-80 Model I/III/4/4p emulator
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/09/26
+
+PRGNAM=sdltrs
+VERSION=1_0_0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/${PRGNAM}_$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# the Makefile is in the src/linux directory
+make INCS="$SLKCFLAGS" -C src/linux
+
+# sdltrs does not have a "make install" option, so we'll do it manually
+mkdir -p $PKG/usr/bin
+cp -a src/linux/sdltrs $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/sdltrs
+
+# Copy icon & desktop file to package
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/sdltrs.desktop > $PKG/usr/share/applications/sdltrs.desktop
+cat $CWD/sdltrs.png > $PKG/usr/share/pixmaps/sdltrs.png
+
+# Make a directory for the ROMs (not included) and copy included images
+mkdir -p $PKG/usr/share/sdltrs
+cp -a diskimages/* $PKG/usr/share/sdltrs
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION/html
+cp -a BUILDING README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION/html/
+find $PKG/usr/doc/$PRGNAM-$VERSION/ -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/sdltrs/sdltrs.desktop b/system/sdltrs/sdltrs.desktop
new file mode 100644
index 0000000000..cb4197b28f
--- /dev/null
+++ b/system/sdltrs/sdltrs.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=sdltrs
+Comment=Emulator for TRS-80
+Categories=System;
+Exec=sdltrs
+Icon=sdltrs
+Terminal=false
+StartupNotify=false
diff --git a/system/sdltrs/sdltrs.info b/system/sdltrs/sdltrs.info
new file mode 100644
index 0000000000..7a44cb538a
--- /dev/null
+++ b/system/sdltrs/sdltrs.info
@@ -0,0 +1,10 @@
+PRGNAM="sdltrs"
+VERSION="1.0.0"
+HOMEPAGE="http://sdltrs.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/sdltrs/files/sdltrs_1_0_0.tar.gz/download"
+MD5SUM="280bfc59f93a7f804288dfbc878e792e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/system/sdltrs/sdltrs.png b/system/sdltrs/sdltrs.png
new file mode 100644
index 0000000000..6f28450c52
--- /dev/null
+++ b/system/sdltrs/sdltrs.png
Binary files differ
diff --git a/system/sdltrs/slack-desc b/system/sdltrs/slack-desc
new file mode 100644
index 0000000000..99af87b884
--- /dev/null
+++ b/system/sdltrs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sdltrs: sdltrs: Radio Shack TRS-80 Model I/III/4/4P Emulator.
+sdltrs:
+sdltrs: sdltrs is a Radio Shack TRS-80 Model I/III/4/4P emulator for
+sdltrs: Macintosh OSX, Windows and Linux. It has been ported from the
+sdltrs: excellent X-Windows Unix emulator xtrs. Instead of using the
+sdltrs: X-Window system for graphics, it uses the portable SDL library.
+sdltrs:
+sdltrs: http://sdltrs.sourceforge.net/
+sdltrs:
+sdltrs:
+sdltrs: